Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		liboil
Version:	0.3.14
Release:	1
Epoch:		2
License:	GNU/GPL
URL:		http://liboil.freedesktop.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch1: 	liboil-0.3.9-s390.patch
Patch2:         liboil-random-data-warning.patch
Patch3:         liboil-disable-sse.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Library of Optimized Inner Loops, CPU optimized functions.
BuildRequires:	gtk-doc >= 1.4 glib-devel glibc-devel
Obsoletes:	liboil-doc


%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%package devel
Summary: 	Development files and static library for liboil
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}, pkg-config

%description devel
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
#%patch1 -p1
%patch2
%patch3

%build
libtoolize --force
autoreconf
export FLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"
%configure
# multi-jobbed make makes the build fail:
# ./build_prototypes_doc >liboilfuncs-doc.h
# /bin/sh: ./build_prototypes_doc: No such file or directory
# %{__make} %{?_smp_mflags}
%{__make}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%_bindir
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
#%{_bindir}/oil-bugreport
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/liboil/
%{_libdir}/*.la
%{_libdir}/*.a


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:0.3.14-1
- Version update
* Mon Aug 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2:0.3.12-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2:0.3.10-2
- rebuild with patches and opt flags changed, should REALLY fix problems
* Tue Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2:0.3.10-1
- Version update
- disarmed optimization flags (hopefully this fixes troubles)
- gst-plugins-base needs liboil > 0.3.8
* Wed Nov 22 2006 Christian Metzen <metzench@ccux-linux.de> 2:0.3.6-2
- bump to 0.3.6 again, seems to cause trouble sometimes
* Sun Nov 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1:0.3.10-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:0.3.6-1
- bump to 0.3.6 reported to work fine
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.3.9-1
- Version update
* Tue Mar 21 2006 Christian Wasem <wasem@ccux-linux.de> 0.3.7-1
- Initial Release
